gtkmm: Gtk::TextAttributes Class Reference

gtkmm 3.24.2

Public Member Functions | Static Public Member Functions | Protected Attributes | Related Functions | List of all members
Gtk::TextAttributes Class Reference
TextView Classes

`#include <gtkmm/textattributes.h>`

## Public Member Functions
| TextAttributes ()
| TextAttributes (GtkTextAttributes* gobject, bool make_a_copy=true)
| TextAttributes (const TextAttributes& other)
TextAttributes& | operator= (const TextAttributes& other)
| TextAttributes (TextAttributes&& other) noexcept
TextAttributes& | operator= (TextAttributes&& other) noexcept
| ~TextAttributes () noexcept
void | swap (TextAttributes& other) noexcept
GtkTextAttributes* | gobj ()
| Provides access to the underlying C instance. More...
const GtkTextAttributes* | gobj () const
| Provides access to the underlying C instance. More...
GtkTextAttributes* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Attributes
GtkTextAttributes* | gobject_

## Related Functions
(Note that these are not member functions.)
void | swap (TextAttributes& lhs, TextAttributes& rhs) noexcept
Gtk::TextAttributes | wrap (GtkTextAttributes* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Constructor & Destructor Documentation

## ◆ TextAttributes() [1/4]

Gtk::TextAttributes::TextAttributes | ( |  | ) |

## ◆ TextAttributes() [2/4]

Gtk::TextAttributes::TextAttributes | ( | GtkTextAttributes * | gobject,
|  | bool | make_a_copy = `true`
| ) |  |
| explicit

## ◆ TextAttributes() [3/4]

Gtk::TextAttributes::TextAttributes | ( | const TextAttributes& | other | ) |

## ◆ TextAttributes() [4/4]

Gtk::TextAttributes::TextAttributes | ( | TextAttributes&& | other | ) |
| noexcept

## ◆ ~TextAttributes()

Gtk::TextAttributes::~TextAttributes | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ get_type()

static GType Gtk::TextAttributes::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkTextAttributes* Gtk::TextAttributes::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkTextAttributes* Gtk::TextAttributes::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ gobj_copy()

GtkTextAttributes* Gtk::TextAttributes::gobj_copy | ( |  | ) | const

Provides access to the underlying C instance. The caller is responsible for freeing it. Use when directly setting fields in structs.

## ◆ operator=() [1/2]

TextAttributes& Gtk::TextAttributes::operator= | ( | const TextAttributes& | other | ) |

## ◆ operator=() [2/2]

TextAttributes& Gtk::TextAttributes::operator= | ( | TextAttributes&& | other | ) |
| noexcept

## ◆ swap()

void Gtk::TextAttributes::swap | ( | TextAttributes& | other | ) |
| noexcept

## Friends And Related Function Documentation

## ◆ swap()

void swap | ( | TextAttributes& | lhs,
|  | TextAttributes& | rhs
| ) |  |
| related

Parameters

  lhs | The left-hand side
  rhs | The right-hand side

## ◆ wrap()

Gtk::TextAttributes wrap | ( | GtkTextAttributes * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

## Member Data Documentation

## ◆ gobject_

GtkTextAttributes* Gtk::TextAttributes::gobject_
| protected